# $Revision: 1.23 $, $Date: 2010/10/18 07:15:12 $
Summary:	Key management application for SSH RSA/DSA keys
Summary(pl.UTF-8):	Zarządca kluczy RSA/DSA dla SSH
Name:		keychain
Version:	2.7.1
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://www.funtoo.org/archive/keychain/%{name}-%{version}.tar.bz2
# Source0-md5:	07c622833192189f483cbaec287f9704
URL:		http://www.funtoo.org/en/security/keychain/intro/
Requires:	openssh-clients
Requires:	sh-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Keychain is an extremely handy OpenSSH and commercial SSH2-compatible
RSA/DSA key management application. It acts as a front-end to
ssh-agent, allowing you to easily have one long-running ssh-agent
process per system, rather than per login session. This dramatically
reduces the number of times you need to enter your passphrase from
once per new login session to once every time your local machine is
rebooted.

%description -l pl.UTF-8
Keychain jest bardzo poręcznym narzędziem do zarządzania kluczami
RSA/DSA dla SSH, zgodnym z OpenSSH i komercyjnym SSH2. Działa jako
nakładka na ssh-agent pozwalając na posiadanie przez użytkownika
dokładnie jednego agenta w systemie zamiast jednego na każdą sesję,
dzięki czemu redukowana jest liczba pytań o hasło do kluczy.

%prep
%setup -q

%build
%{__make} keychain.1 keychain

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p keychain $RPM_BUILD_ROOT%{_bindir}/keychain
cp -a keychain.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.rst
%attr(755,root,root) %{_bindir}/keychain
%{_mandir}/man1/keychain.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: keychain.spec,v $
Revision 1.23  2010/10/18 07:15:12  glen
- up to 2.7.1

Revision 1.22  2009/10/28 08:48:22  glen
- release 2

Revision 1.21  2009/10/28 08:48:08  glen
- install manual

Revision 1.20  2009/10/26 06:45:57  paszczus
- updated to 2.7.0

Revision 1.19  2009/08/07 13:07:47  paszczus
- updated to 2.6.9

Revision 1.18  2007/12/25 22:21:50  glen
- rel 2

Revision 1.17  2007-02-13 08:06:37  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.15  2006/11/25 01:36:16  wrobell
- ver. 2.6.8

Revision 1.14  2006/07/25 19:49:58  jajcus
- Version: 2.6.2

Revision 1.13  2005/12/09 19:20:59  glen
- 2.6.1

Revision 1.12  2005/06/18 11:15:41  jajcus
- Version: 2.5.4.1

Revision 1.11  2005/01/10 09:35:38  glen
- 2.5.0

Revision 1.10  2004/12/16 12:31:16  luzik
- updated to 2.4.3

Revision 1.9  2004/10/24 12:15:20  orzech
- up to 2.4.2.1, rel.1, STBR

Revision 1.8  2004/07/25 15:53:41  paszczus
- updated to 2.3.4

Revision 1.7  2004/06/15 13:51:13  twittner
- up to 2.2.0
- added manpage
- rel. 0.1

Revision 1.6  2003/07/15 13:24:16  misi3k
- updated to 2.0.3

Revision 1.5  2003/06/09 13:57:58  orzech
- typo

Revision 1.4  2003/06/09 11:20:10  qboosh
- cleanup, shortened Summary, mention compatibility in descr
- doesn't seem to require bash

Revision 1.3  2003/06/09 10:30:58  wrobell
- move docs at the files section begining

Revision 1.2  2003/06/09 10:21:37  orzech
- source url

Revision 1.1  2003/06/09 10:10:57  orzech
- taken from vendor, pldized
